/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var searchIntentSelected = ko.observableArray([]),
        selectedKeywords = ko.observableArray([]),
        thumbnail = ko.observable(),
        categoryPlaceholderImage = ko.observable(),
        thumbnailId = ko.observable(),
        language = ko.observable(),
        country = ko.observable(),
        location = ko.observable(),
        apiThumbnail = ko.observable(),
        showProgress = ko.observable(false),
        resetKeywordInput = ko.observable(false),
        autoGenerateRewriteAfterKo = ko.observable(false),
        noGenerateOnAutoGenerateAfterKo = ko.observable(false);

    return {
        searchIntentSelected: searchIntentSelected,
        selectedKeywords: selectedKeywords,
        thumbnail: thumbnail,
        categoryPlaceholderImage: categoryPlaceholderImage,
        thumbnailId: thumbnailId,
        language: language,
        country: country,
        location: location,
        apiThumbnail: apiThumbnail,
        showProgress: showProgress,
        resetKeywordInput: resetKeywordInput,
        autoGenerateRewriteAfterKo: autoGenerateRewriteAfterKo,
        noGenerateOnAutoGenerateAfterKo: noGenerateOnAutoGenerateAfterKo
    };
});
